javax.persistence

## Interface Cache

    public interface Cache

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `contains(Class cls, Object primaryKey)`
`void` `evict(Class cls)`
`void` `evict(Class cls, Object primaryKey)`
`void` `evictAll()`

### Method Detail

#### contains

    boolean contains(Class cls,
                     Object primaryKey)

#### evict

    void evict(Class cls,
               Object primaryKey)

#### evict

    void evict(Class cls)

#### evictAll

    void evictAll()